﻿Public Class MainForm

    Private m_cn As New SqlConnection
    Private m_DA As SqlDataAdapter
    Private m_CB As SqlCommandBuilder
    Private m_DataTable As New DataTable
    Private m_intRowPosition As Integer = 0

    Private Sub MainForm_FormClosed(sender As Object, e As FormClosedEventArgs) Handles Me.FormClosed
        m_cn.Close()
        m_cn.Dispose()

    End Sub

    Private Sub MainForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        m_cn.ConnectionString = "Data Source=.\SQLEXPRESS; AttachDBFilename = " & _
            "C:\temp\test.mdf; Integrated Security=True; Connect Timeout=30;" & _
            "User Instance=True"
        m_cn.Open()

        m_DA = New SqlDataAdapter("Select * From Contacts", m_cn)

        m_CB = New SqlCommandBuilder(m_DA)

        m_DA.Fill(m_DataTable)

        Me.ShowCurrentRecord()

    End Sub

    Private Sub ShowCurrentRecord()
        If m_DataTable.Rows.Count = 0 Then
            txtcontactname.text = ""
            txtState.Text = ""
            Exit Sub
        End If

        txtcontactname.text = _
            m_DataTable.Rows(m_intRowPosition)("ContactName").ToString()

        txtstate.text = _
            m_DataTable.Rows(m_intRowPosition)("State").ToString()


    End Sub

    Private Sub btnMoveFirst_Click(sender As Object, e As EventArgs) Handles btnMoveFirst.Click
        ' Move to the first row and show the data.
        m_intRowPosition = 0
        Me.ShowCurrentRecord()

    End Sub

    Private Sub btnMovePrevious_Click(sender As Object, e As EventArgs) Handles btnMovePrevious.Click
        ' If not on the first row, go back one row and show the record.
        If m_intRowPosition > 0 Then
            m_intRowPosition = m_intRowPosition - 1
            Me.ShowCurrentRecord()
        End If
    End Sub

    Private Sub btnMoveNext_Click_1(sender As Object, e As EventArgs) Handles btnMoveNext.Click
        ' If not on the last row, advance one row and show the record.
        If m_intRowPosition < (m_DataTable.Rows.Count - 1) Then
            m_intRowPosition = m_intRowPosition + 1
            Me.ShowCurrentRecord()
        End If
    End Sub

    Private Sub btnMoveLast_Click(sender As Object, e As EventArgs) Handles btnMoveLast.Click
        ' Of there are any rows in the datatable, move to the last and 
        ' show the record.
        If m_DataTable.Rows.Count > 0 Then
            m_intRowPosition = m_DataTable.Rows.Count - 1
            Me.ShowCurrentRecord()
        End If
    End Sub

    Private Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        ' If there is existing data, update it.
        If m_DataTable.Rows.Count <> 0 Then
            m_DataTable.Rows(m_intRowPosition)("ContactName") = txtContactName.Text
            m_DataTable.Rows(m_intRowPosition)("State") = txtState.Text
            m_DA.Update(m_DataTable)
        End If
    End Sub

    Private Sub btnAddNew_Click(sender As Object, e As EventArgs) Handles btnAddNew.Click
        Dim drNewRow As DataRow = m_DataTable.NewRow()

        If txtNewContactName.Text.Length = 0 Then
            MessageBox.Show("A contact name is required to save the record.")
            Exit Sub
        End If


        drNewRow("ContactName") = txtNewContactName.Text
        drNewRow("State") = txtNewState.Text

        m_DataTable.Rows.Add(drNewRow)
        m_DA.Update(m_DataTable)

        m_intRowPosition = m_DataTable.Rows.Count - 1
        Me.ShowCurrentRecord()

    End Sub

    Private Sub btnDelete_Click(sender As Object, e As EventArgs) Handles btnDelete.Click
        ' If there is data, delete the current row.
        If m_DataTable.Rows.Count <> 0 Then
            m_DataTable.Rows(m_intRowPosition).Delete()
            m_DA.Update(m_DataTable)
            m_intRowPosition = 0
            Me.ShowCurrentRecord()

        End If
    End Sub
End Class
